{ config, pkgs, ... }:

{
  nix = {
    maxJobs = 4;
    buildCores = 1;
    autoOptimiseStore = true;
    useSandbox = true;
    extraOptions = ''
      build-timeout = 86400  # 24 hours
    '';
    binaryCachePublicKeys = [ (builtins.readFile /secret/hydra_cache.pub) ];
    trustedBinaryCaches = [
      "https://cache.nixos.org"
      "https://cache.ophanim.de"
    ];
    binaryCaches = [
      "https://cache.nixos.org"
      "https://cache.ophanim.de"
    ];
  };
}
